﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim DBFileName As String			: DBFileName = "Bars_V5.db"
	Dim DBTableName As String			: DBTableName = "BAR"
	Dim SQL2 As SQL
	Dim QueryString2 As String
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
    Dim clv2 As CustomListView
	Dim Label1 As Label
	Dim Label2 As Label
	Dim Label3 As Label
	Dim ImageView1 As ImageView
	Dim Container As AHPageContainer
	Dim Pager As AHViewPager
    'Optionally you can use an AHViewPagerTabs object as a page indicator
    Dim Tabs As AHViewPagerTabs
	Dim Line As Panel
End Sub

Sub Activity_Create(FirstTime As Boolean)
    If FirstTime Then 
        SQL2.Initialize(File.DirDefaultExternal, DBFileName, True)
    End If
	
	
'	Dim Cursor2 As Cursor
'	Activity.Title = Main.SelectedBarName
'	Label1.Text = Main.SelectedBarName
'	If Cursor2.IsInitialized = False Then
'		SQL2.Initialize(File.DirDefaultExternal, DBFileName, True)
'    End If
'	Cursor2 = SQL2.ExecQuery("SELECT NAME, PHONE, ADDRESS, LOGO FROM DATA WHERE NAME = '" & Main.SelectedBarName & "'")
'	Cursor2.Position = 0
'	Label2.Text = Cursor2.GetString("PHONE")
'	Label3.Text = Cursor2.GetString("ADDRESS")
'	
'	
'	Dim Buffer() As Byte 'declare an empty byte array
'    Buffer = Cursor2.GetBlob("LOGO")
'    Dim InputStream1 As InputStream
'    InputStream1.InitializeFromBytesArray(Buffer, 0, Buffer.Length)
'    
'    Dim Bitmap1 As Bitmap
'    Bitmap1.Initialize2(InputStream1)
'    InputStream1.Close
'	
'	ImageView1.Bitmap = Bitmap1
'	Cursor2.Close
	
	GetData

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub GetData()
	Dim Cursor3 As Cursor
	Dim DayList As List
	Dim WorkString As String
	Dim Pan(7) As Panel
	Dim NewStart As String
	Dim OldStart As String
	Dim NewEnd As String
	Dim OldEnd As String
	

	
	Pan(0).Initialize("")
	Pan(1).Initialize("")
	Pan(2).Initialize("")
	Pan(3).Initialize("")
	Pan(4).Initialize("")
	Pan(5).Initialize("")
	Pan(6).Initialize("")
	
	'Initialize the panels we use for the pages and put them in the container
	Container.Initialize
	If Cursor3.IsInitialized = False Then
		SQL2.Initialize(File.DirDefaultExternal, DBFileName, True)
    End If
	
	DayList = DateUtils.GetDaysNames
	For	i = 0 To 6
		Pan(i).LoadLayout("Weekly")
		
		'If i == 0 Then
			Dim Cursor2 As Cursor
			Activity.Title = Main.SelectedBarName
			Label1.Text = Main.SelectedBarName
			If Cursor2.IsInitialized = False Then
				SQL2.Initialize(File.DirDefaultExternal, DBFileName, True)
		    End If
			Cursor2 = SQL2.ExecQuery("SELECT NAME, PHONE, ADDRESS, LOGO FROM DATA WHERE NAME = '" & Main.SelectedBarName & "'")
			Cursor2.Position = 0
			Label2.Text = Cursor2.GetString("PHONE")
			Label3.Text = Cursor2.GetString("ADDRESS")
			
			
			Dim Buffer() As Byte 'declare an empty byte array
		    Buffer = Cursor2.GetBlob("LOGO")
		    Dim InputStream1 As InputStream
		    InputStream1.InitializeFromBytesArray(Buffer, 0, Buffer.Length)
		    
		    Dim Bitmap1 As Bitmap
		    Bitmap1.Initialize2(InputStream1)
		    InputStream1.Close
			
			ImageView1.Bitmap = Bitmap1
			Cursor2.Close
		'End If
		
		Container.AddPageAt(Pan(i), DayList.Get(i), i)
		QueryString2 = "SELECT START, END, DESC FROM " & DBTableName & " WHERE NAME = '" & Main.SelectedBarName & "'" & " AND DAY = '" & DayList.Get(i) & "' ORDER BY START"
		Cursor3 = SQL2.ExecQuery(QueryString2)
		
		OldStart = ""
		OldEnd = ""
		
	    For k = 0 To Cursor3.RowCount - 1
	        Cursor3.Position = k
	        NewStart = Cursor3.GetString("START")
			NewEnd = Cursor3.GetString("END")
			If (NewStart.EqualsIgnoreCase(OldStart) == False OR NewEnd.EqualsIgnoreCase(OldEnd) == False OR k == (Cursor3.RowCount - 1)) Then
				If k > 0 Then
					clv2.SetScrollViewColorBlack
					clv2.AddTextItem(WorkString, OldStart)
					WorkString = ""
					WorkString = "{L}{U}{BI}" & NewStart & " - " & NewEnd & "{BI}{U}{L}"&CRLF& "{R}" & Cursor3.GetString("DESC") & "{R}"
					OldStart = NewStart
					OldEnd = NewEnd
				Else 
					WorkString = "{L}{U}{BI}" & NewStart & " - " & NewEnd & "{BI}{U}{L}"&CRLF& "{R}" & Cursor3.GetString("DESC") & "{R}"
					OldStart = NewStart
					OldEnd = NewEnd
				End If

			Else
				WorkString = WorkString & CRLF & "{R}" & Cursor3.GetString("DESC") & "{R}" 
				OldStart = NewStart
				OldEnd = NewEnd
			End If
	    Next
	Next
    Cursor3.Close
	
		   'Now we have a container with our panels just add it to the pager object
	   Pager.Initialize(Container, "Pager")
	   
	   
	
	   'As we want to show the tabs page indicator, we initialize it
	   Tabs.Initialize(Pager)
	   Tabs.LineHeight = 4dip
				Tabs.LineColorCenter = Colors.RGB(0,225,255)
				Tabs.TextColor = Colors.Gray
				Tabs.TextColorCenter = Colors.White

				Activity.AddView(Tabs, 0dip, 0dip, 100%x, 100%y)
				
	   'We add a line below the tab page indicator because it looks good
	   Dim Col As ColorDrawable
	
	   Col.Initialize(Colors.White, 0)
	
	   Line.Initialize("")
	   Line.Background = Col
	
	   Activity.AddView(Line, 0dip, 35dip, Activity.Width, 2dip)				
	
	   'Now we can add the pager to the activity
	   Activity.AddView(Pager, 0dip, 35dip + 2dip, Activity.Width, Activity.Height - 35dip - 2dip)
	   Pager.GotoPage(DateTime.GetDayOfWeek(DateTime.Now) - 1, True)
	
End Sub



Sub Label2_Click
   Dim i As Intent
   i.Initialize(i.ACTION_VIEW, "tel:" & Label2.Text)
   StartActivity(i)
End Sub

'Sub Label3_Click
'   Dim i As Intent
'   i.Initialize(i.ACTION_VIEW, "geo:0,0?q=" & Label3.Text)
'   StartActivity(i)
'End Sub
'